Bug 236503 - audio/audacity changed to wx-gtk31, fails to start
Summary: audio/audacity changed to wx-gtk31, fails to start
Status: Closed DUPLICATE of bug 236512
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-13 08:58 UTC by paul.eskello
Modified: 2019-03-14 09:51 UTC (History)
2 users (show)

See Also:
xxjack12xx: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description paul.eskello 2019-03-13 08:58:13 UTC
Hi,

i figured audacity changed to wx-gtk31. Sounds fine, but the audacity 3.3.0_5 i got from the ports fails to start:

[user@system ~]$ audacity

(Audacity:3535): Gtk-ERROR **: 09:40:22.743: GTK+ 2.x symbols detected. Using GTK+ 2.x and GTK+ 3 in the same process is not supported
Trace/BPT trap (core dumped)

Howto repeat: update ports as of +/- 13mar2019 0830GMT, install audacity, start audacity.

[user@system ~]$ pkg info | egrep -e gtk -e audacity
audacity-2.3.0_5               GUI editor for digital audio waveforms
gtk-update-icon-cache-2.24.32  Gtk-update-icon-cache utility from the Gtk+ toolkit
gtk-xfce-engine-3.2.0          Xfce GTK2 theme engine
gtk2-2.24.32                   Gimp Toolkit for X11 GUI (previous stable version)
gtk3-3.24.5                    Gimp Toolkit for X11 GUI (current stable version)
gtkimageview-1.6.4_5           Simple image viewer widget
gtkmm24-2.24.5_1               C++ wrapper for Gtk+
gtkmm30-3.22.2                 C++ wrapper for Gtk+3
gtksourceview3-3.24.8_2        Text widget that adds syntax highlighting to the GtkTextView widget
gtkspell-2.0.16_6              GTK+ 2 spell checking component
linux-c6-gtk2-2.24.23_7        GTK+ library, version 2.X (Linux CentOS 6.9)
py27-gtk2-2.24.0_5             Set of Python bindings for GTK+
transmission-gtk-2.94_4        Meta-port for Transmission BitTorrent client
webkit2-gtk3-2.22.6            Opensource browser engine using the GTK+ 3 toolkit
wx30-gtk3-3.0.4_7              The wxWidgets GUI toolkit with GTK+ bindings
wx31-gtk3-3.1.2_1              GUI toolkit (wxWidgets) with GTK+ bindings

[user@system ~]$ uname -a
FreeBSD mostrd 11.2-RELEASE-p9 FreeBSD 11.2-RELEASE-p9 #9 r344661: Thu Feb 28 18:37:30 CET 2019     root@mostrd:/usr/obj/usr/src/sys/SOMETHING  amd64

[user@system ~]$ pkg -vv
~~~ munged ~~~
  FreeBSD: { 
    url             : "pkg+http://pkg.FreeBSD.org/FreeBSD:11:amd64/latest",
    enabled         : yes,
    priority        : 0,
    mirror_type     : "SRV",
    signature_type  : "FINGERPRINTS",
    fingerprints    : "/usr/share/keys/pkg"

[user@system ~]$ ldd /usr/local/bin/audacity
/usr/local/bin/audacity:
        libexpat.so.1 => /usr/local/lib/libexpat.so.1 (0x8012ab000)
        libportaudio.so.2 => /usr/local/lib/libportaudio.so.2 (0x8014d6000)
        libsndfile.so.1 => /usr/local/lib/libsndfile.so.1 (0x8016ec000)
        libsoxr.so.0 => /usr/local/lib/libsoxr.so.0 (0x801978000)
        libwx_gtk3u_xrc-3.1.so.2 => /usr/local/lib/libwx_gtk3u_xrc-3.1.so.2 (0x801bd4000)
        libwx_gtk3u_html-3.1.so.2 => /usr/local/lib/libwx_gtk3u_html-3.1.so.2 (0x801ea5000)
        libwx_gtk3u_qa-3.1.so.2 => /usr/local/lib/libwx_gtk3u_qa-3.1.so.2 (0x80217e000)
        libwx_gtk3u_core-3.1.so.2 => /usr/local/lib/libwx_gtk3u_core-3.1.so.2 (0x802400000)
        libwx_baseu_xml-3.1.so.2 => /usr/local/lib/libwx_baseu_xml-3.1.so.2 (0x802dd3000)
        libwx_baseu_net-3.1.so.2 => /usr/local/lib/libwx_baseu_net-3.1.so.2 (0x802fe5000)
        libwx_baseu-3.1.so.2 => /usr/local/lib/libwx_baseu-3.1.so.2 (0x803400000)
        libFLAC++.so.6 => /usr/local/lib/libFLAC++.so.6 (0x8038b3000)
        libFLAC.so.8 => /usr/local/lib/libFLAC.so.8 (0x803ace000)
        libid3tag.so.0 => /usr/local/lib/libid3tag.so.0 (0x803d0e000)
        libz.so.6 => /lib/libz.so.6 (0x803f29000)
        libmad.so.0 => /usr/local/lib/libmad.so.0 (0x804141000)
        libm.so.5 => /lib/libm.so.5 (0x804362000)
        libSoundTouch.so.1 => /usr/local/lib/libSoundTouch.so.1 (0x80458f000)
        libtwolame.so.0 => /usr/local/lib/libtwolame.so.0 (0x8047a1000)
        libvorbisenc.so.2 => /usr/local/lib/libvorbisenc.so.2 (0x8049c7000)
        libvorbisfile.so.3 => /usr/local/lib/libvorbisfile.so.3 (0x804c69000)
        libvorbis.so.0 => /usr/local/lib/libvorbis.so.0 (0x804e72000)
        libogg.so.0 => /usr/local/lib/libogg.so.0 (0x8050a3000)
        libvamp-hostsdk.so.3 => /usr/local/lib/libvamp-hostsdk.so.3 (0x8052a9000)
        libgtk-3.so.0 => /usr/local/lib/libgtk-3.so.0 (0x805600000)
        libgdk-3.so.0 => /usr/local/lib/libgdk-3.so.0 (0x805eb9000)
        libpangocairo-1.0.so.0 => /usr/local/lib/libpangocairo-1.0.so.0 (0x8061b0000)
        libpango-1.0.so.0 => /usr/local/lib/libpango-1.0.so.0 (0x8063bd000)
        libatk-1.0.so.0 => /usr/local/lib/libatk-1.0.so.0 (0x80660b000)
        libcairo-gobject.so.2 => /usr/local/lib/libcairo-gobject.so.2 (0x806836000)
        libcairo.so.2 => /usr/local/lib/libcairo.so.2 (0x806a3e000)
        libthr.so.3 => /lib/libthr.so.3 (0x806d65000)
        libgdk_pixbuf-2.0.so.0 => /usr/local/lib/libgdk_pixbuf-2.0.so.0 (0x806f8d000)
        libgio-2.0.so.0 => /usr/local/lib/libgio-2.0.so.0 (0x8071b0000)
        libgobject-2.0.so.0 => /usr/local/lib/libgobject-2.0.so.0 (0x807543000)
        libglib-2.0.so.0 => /usr/local/lib/libglib-2.0.so.0 (0x80778d000)
        libintl.so.8 => /usr/local/lib/libintl.so.8 (0x807aa4000)
        libasound.so.2 => /usr/local/lib/libasound.so.2 (0x807caf000)
        librt.so.1 => /usr/lib/librt.so.1 (0x807fb3000)
        libc++.so.1 => /usr/lib/libc++.so.1 (0x8081b9000)
        libcxxrt.so.1 => /lib/libcxxrt.so.1 (0x808487000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x8086a6000)
        libc.so.7 => /lib/libc.so.7 (0x8088b5000)
        libgthread-2.0.so.0 => /usr/local/lib/libgthread-2.0.so.0 (0x808c71000)
        libX11.so.6 => /usr/local/lib/libX11.so.6 (0x808e72000)
        libXxf86vm.so.1 => /usr/local/lib/libXxf86vm.so.1 (0x8091b1000)
        libSM.so.6 => /usr/local/lib/libSM.so.6 (0x8093b5000)
        libnotify.so.4 => /usr/local/lib/libnotify.so.4 (0x8095bc000)
        libXtst.so.6 => /usr/local/lib/libXtst.so.6 (0x8097c3000)
        libpangoft2-1.0.so.0 => /usr/local/lib/libpangoft2-1.0.so.0 (0x8099c8000)
        libfontconfig.so.1 => /usr/local/lib/libfontconfig.so.1 (0x809bde000)
        libfreetype.so.6 => /usr/local/lib/libfreetype.so.6 (0x809e25000)
        libpng16.so.16 => /usr/local/lib/libpng16.so.16 (0x80a0db000)
        libjpeg.so.8 => /usr/local/lib/libjpeg.so.8 (0x80a316000)
        libtiff.so.5 => /usr/local/lib/libtiff.so.5 (0x80a5a9000)
        liblzma.so.5 => /usr/lib/liblzma.so.5 (0x80a823000)
        libjbig.so.2 => /usr/local/lib/libjbig.so.2 (0x80aa4c000)
        libsecret-1.so.0 => /usr/local/lib/libsecret-1.so.0 (0x80ac59000)
        libexecinfo.so.1 => /usr/lib/libexecinfo.so.1 (0x80aea3000)
        libmspack.so.0 => /usr/local/lib/libmspack.so.0 (0x80b0a6000)
        libXinerama.so.1 => /usr/local/lib/libXinerama.so.1 (0x80b2bd000)
        libXrandr.so.2 => /usr/local/lib/libXrandr.so.2 (0x80b4bf000)
        libXcursor.so.1 => /usr/local/lib/libXcursor.so.1 (0x80b6c9000)
        libXext.so.6 => /usr/local/lib/libXext.so.6 (0x80b8d4000)
        libgmodule-2.0.so.0 => /usr/local/lib/libgmodule-2.0.so.0 (0x80bae5000)
        libXi.so.6 => /usr/local/lib/libXi.so.6 (0x80bce8000)
        libXcomposite.so.1 => /usr/local/lib/libXcomposite.so.1 (0x80bef6000)
        libXdamage.so.1 => /usr/local/lib/libXdamage.so.1 (0x80c0f8000)
        libXfixes.so.3 => /usr/local/lib/libXfixes.so.3 (0x80c2fa000)
        libatk-bridge-2.0.so.0 => /usr/local/lib/libatk-bridge-2.0.so.0 (0x80c4ff000)
        libxkbcommon.so.0 => /usr/local/lib/libxkbcommon.so.0 (0x80c72f000)
        libwayland-cursor.so.0 => /usr/local/lib/libwayland-cursor.so.0 (0x80c96c000)
        libwayland-egl.so.1 => /usr/local/lib/libwayland-egl.so.1 (0x80cb73000)
        libwayland-client.so.0 => /usr/local/lib/libwayland-client.so.0 (0x80cd74000)
        libepoxy.so.0 => /usr/local/lib/libepoxy.so.0 (0x80cf83000)
        libharfbuzz.so.0 => /usr/local/lib/libharfbuzz.so.0 (0x80d292000)
        libfribidi.so.0 => /usr/local/lib/libfribidi.so.0 (0x80d571000)
        libpixman-1.so.0 => /usr/local/lib/libpixman-1.so.0 (0x80d787000)
        libEGL.so.1 => /usr/local/lib/libEGL.so.1 (0x80da51000)
        libxcb-shm.so.0 => /usr/local/lib/libxcb-shm.so.0 (0x80dc89000)
        libxcb.so.1 => /usr/local/lib/libxcb.so.1 (0x80de8b000)
        libxcb-render.so.0 => /usr/local/lib/libxcb-render.so.0 (0x80e0b1000)
        libXrender.so.1 => /usr/local/lib/libXrender.so.1 (0x80e2be000)
        libGL.so.1 => /usr/local/lib/libGL-NVIDIA.so.1 (0x80e4c7000)
        libffi.so.6 => /usr/local/lib/libffi.so.6 (0x80e7c3000)
        libiconv.so.2 => /usr/local/lib/libiconv.so.2 (0x80e9ca000)
        libpcre.so.1 => /usr/local/lib/libpcre.so.1 (0x80ecc5000)
        libICE.so.6 => /usr/local/lib/libICE.so.6 (0x80ef63000)
        libbz2.so.4 => /usr/lib/libbz2.so.4 (0x80f17d000)
        libgcrypt.so.20 => /usr/local/lib/libgcrypt.so.20 (0x80f391000)
        libgpg-error.so.0 => /usr/local/lib/libgpg-error.so.0 (0x80f6b8000)
        libelf.so.2 => /lib/libelf.so.2 (0x80f8d7000)
        libdbus-1.so.3 => /usr/local/lib/libdbus-1.so.3 (0x80faee000)
        libatspi.so.0 => /usr/local/lib/libatspi.so.0 (0x80fd3f000)
        libepoll-shim.so.0 => /usr/local/lib/libepoll-shim.so.0 (0x80ff70000)
        libdl.so.1 => /usr/lib/libdl.so.1 (0x810173000)
        libgraphite2.so.3 => /usr/local/lib/libgraphite2.so.3 (0x810374000)
        libxcb-dri2.so.0 => /usr/local/lib/libxcb-dri2.so.0 (0x81059d000)
        libX11-xcb.so.1 => /usr/local/lib/libX11-xcb.so.1 (0x8107a1000)
        libxcb-dri3.so.0 => /usr/local/lib/libxcb-dri3.so.0 (0x8109a2000)
        libxcb-xfixes.so.0 => /usr/local/lib/libxcb-xfixes.so.0 (0x810ba5000)
        libxcb-present.so.0 => /usr/local/lib/libxcb-present.so.0 (0x810dac000)
        libxcb-sync.so.1 => /usr/local/lib/libxcb-sync.so.1 (0x810fae000)
        libxshmfence.so.1 => /usr/local/lib/libxshmfence.so.1 (0x8111b4000)
        libgbm.so.1 => /usr/local/lib/libgbm.so.1 (0x8113b5000)
        libwayland-server.so.0 => /usr/local/lib/libwayland-server.so.0 (0x8115c3000)
        libdrm.so.2 => /usr/local/lib/libdrm.so.2 (0x8117d6000)
        libglapi.so.0 => /usr/local/lib/libglapi.so.0 (0x8119e9000)
        libXau.so.6 => /usr/local/lib/libXau.so.6 (0x811c43000)
        libXdmcp.so.6 => /usr/local/lib/libXdmcp.so.6 (0x811e46000)
        libnvidia-tls.so.1 => /usr/local/lib/libnvidia-tls.so.1 (0x81204b000)
        libnvidia-glcore.so.1 => /usr/local/lib/libnvidia-glcore.so.1 (0x812400000)

Regards,
Paul
Comment 1 Jack 2019-03-13 09:12:12 UTC
Where did you get audacity-2.3.0_5 from? The current version that was made to work with wx-gtk31 was audacity-2.3.1. 2.3.0_5 was made for wx-gtk30. Try upgrading to 2.3.1 and see if issue still persists.
Comment 2 Walter Schwarzenfeld freebsd_triage 2019-03-14 09:51:46 UTC
Mark as duplicate of bug #236512 (cause this in progress).

*** This bug has been marked as a duplicate of bug 236512 ***